-- FirstStage generated output file
require "scripts/style"
endingColor = Color(123,73,34,255);
standardend = "fonts/georgiai.mvec";
endingFont = {
  standardend,
  20,
  endingColor
};


local okcommand = gDialogTable.okcommand;
command=okcommand
MakeDialog
{
	name="endingscreen",
	Bitmap
	{
        name="ending",
		image="backgrounds/ir_ending_bg",
		w = 1024,
		h = 768,
		x = 0, 
		y = 0,
				
		Text
		{
			
			font = endingFont,
			name = "dear",
			x=555,y=230,w=265,h=30,			
			label = "#"..GetString("dear",GetCurrentUserName()),
		};
		
		Text
		{
			font = endingFont,
			name = "endingBody1",
			x=555,y=267,w=265,h=80,			
			label = "endingBody1"
		};

		Text
		{
			font = endingFont,
			name = "endingBody2",
			x=555,y=363,w=264,h=65,			
			label = "endingBody2"
		};	

		Text
		{
			font = endingFont,
			name = "endingText1",
			x=555,y=439,w=130,h=25,			
			label = "endingText1"
		};	

		Text
		{
			font = endingFont,
			name = "endingText2",
			x=555,y=480,w=80,h=25,			
			label = "endingText2"
		};	

		Text
		{
			font = endingFont,
			name = "endingText3",
			x=555,y=537,w=80,h=25,				
			label = "endingText3"
		};	
			
		Ending
		{
		
			name = "ending_screen",
			x = 0;
			y = 0,
			w = 1024,
			h = 768,
			
			SetStyle( ButtonStyle ),
			Button
			{
				graphics={"buttons/ir_btn_univ01","buttons/ir_btn_univ03","buttons/ir_btn_univ02"},
				flags = 5,
				label="ok",
				name = okname,
				x = 512 - 111,
				y = 690,
				command=			
					function()
						--DoModal("scripts/credits.lua")
						result = DisplayDialog {
							"scripts/yesnoending.lua",
							body ="continue_body",
							title = "continue_title"
							};
							
						WillContinue(result)
						--PopModal("ending"),
					end
			},
						
		}		
	}
} -- MakeDialog

gDialogTable = {}
